Commit 22119569 authored by Chong Lu's avatar Chong Lu Committed by Joe MacDonald

squid: change ksh reference in krb ldap helper to sh

This solves the following warning:

squid-3.4.7: squid requires /bin/bash, /usr/bin/perl, but no providers in its
RDEPENDS [file-rdeps]
Signed-off-by: default avatarChong Lu <Chong.Lu@windriver.com>
Signed-off-by: default avatarJoe MacDonald <joe_macdonald@mentor.com>
parent c1958c21
From 37da4010f41d936c2c727fc32adab832bdde9bec Mon Sep 17 00:00:00 2001
Message-Id: <37da4010f41d936c2c727fc32adab832bdde9bec.1382481765.git.Jim.Somerville@windriver.com>
From: Jim Somerville <Jim.Somerville@windriver.com>
Date: Tue, 22 Oct 2013 18:39:39 -0400
Subject: [PATCH 1/1] Change ksh reference in krb ldap helper to bash
squid: change ksh reference in krb ldap helper to sh
Very simple cert_tool script with no ksh specifics.
Change it to use bash so a package dependency doesn't
Change it to use sh so a package dependency doesn't
get created to ksh.
Upstream-Status: Pending
Signed-off-by: Jim Somerville <Jim.Somerville@windriver.com>
Signed-off-by: Chong Lu <Chong.Lu@windriver.com>
---
helpers/external_acl/kerberos_ldap_group/cert_tool | 3 ++-
1 files changed, 2 insertions(+), 1 deletions(-)
helpers/external_acl/kerberos_ldap_group/cert_tool | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/helpers/external_acl/kerberos_ldap_group/cert_tool b/helpers/external_acl/kerberos_ldap_group/cert_tool
index 9f14959..b61be5d 100644
index 9f14959..8c4ea11 100644
--- a/helpers/external_acl/kerberos_ldap_group/cert_tool
+++ b/helpers/external_acl/kerberos_ldap_group/cert_tool
@@ -1,4 +1,5 @@
@@ -1,4 +1,4 @@
-#!/bin/ksh
+#!/bin/bash
+# The above was originally ksh
+#!/bin/sh
#
# -----------------------------------------------------------------------------
#
@@ -64,9 +64,9 @@ QUIT
# Create database for Sun ldap and pem file for Openldap
#
rm ${server}_[0-9]*.pem 2>/dev/null
-let i=0
+i=0
ls ${server}_[0-9]*.cert | while read file; do
- let i=i+1
+ i=`expr $i + 1`
cat $file >> ${server}_$i.pem
CA=`openssl x509 -noout -text -in ${server}_$i.pem | grep -i "CA:.*true"`
if [ -n "$CA" ]; then
--
1.7.4.1
1.9.1
......@@ -16,7 +16,7 @@ SRC_URI = "http://www.squid-cache.org/Versions/v${MAJ_VER}/${MIN_VER}/${BPN}-${P
file://Set-up-for-cross-compilation.patch \
file://Skip-AC_RUN_IFELSE-tests.patch \
file://Fix-flawed-dynamic-ldb-link-test-in-configure.patch \
file://Change-ksh-reference-in-krb-ldap-helper-to-bash.patch \
file://squid-change-ksh-reference-in-krb-ldap-helper-to-sh.patch \
file://squid-use-serial-tests-config-needed-by-ptest.patch \
file://run-ptest \
file://volatiles.03_squid \
......@@ -63,4 +63,5 @@ FILES_${PN} += "${libdir} ${datadir}/errors ${datadir}/icons"
FILES_${PN}-dbg += "/usr/src/debug"
FILES_${PN}-doc += "${datadir}/*.txt"
RDEPENDS_${PN} += "perl"
RDEPENDS_${PN}-ptest += "make"
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment